#!/bin/bash

docker rm -f local-ubuntu-mirror
docker run -d --name local-ubuntu-mirror \
	-v /storage/mirrors/ubuntu/ubuntu:/var/mirror/ubuntu \
        --env UBUNTU_MIRROR_SOURCE=archive.ubuntu.com \
        --env MIRROR_INTERVAL_SECONDS=10800 \
	--env MIRROR_CATEGORIES=main,universe,restricted,multiverse \
        --env MIRROR_ARCHITECTURES=amd64 \
        --env UBUNTU_MIRROR_PROJECTS=bionic,bionic-updates,bionic-security,bionic-backports,focal,focal-updates,focal-security,focal-backports \
	--dns 8.8.8.8 \
	--dns 8.8.4.4 \
	-p 172.17.0.1:80:80 \
	--restart unless-stopped \
	sneak/ubuntumirror:latest
